# Uses of Class
org.apache.sling.api.resource.path.Path

Packages that use Path
Package
Description
org.apache.sling.api.resource.path

## Uses of Path in org.apache.sling.api.resource.path

Methods in org.apache.sling.api.resource.path that return Path
Modifier and Type
Method
Description
`Path`
PathSet.`matches(String otherPath)`
Check whether the provided path is in the sub tree of any of the paths in this set.
Methods in org.apache.sling.api.resource.path that return types with arguments of type Path
Modifier and Type
Method
Description
`Iterator<Path>`
PathSet.`iterator()`
Return an unmodifiable iterator for the paths.
Methods in org.apache.sling.api.resource.path with parameters of type Path
Modifier and Type
Method
Description
`int`
Path.`compareTo(@NotNull Path o)`
`static PathSet`
PathSet.`fromPaths(Path... paths)`
Create a path set from a collection of path objects
`PathSet`
PathSet.`getSubset(Path path)`
Generate a path set of paths from this set which are in the sub tree of the provided path
Method parameters in org.apache.sling.api.resource.path with type arguments of type Path
Modifier and Type
Method
Description
`static PathSet`
PathSet.`fromPathCollection(Collection<Path> paths)`
Create a path set from a collection of path objects